Bug 1405857

Summary: Review Request: python-signedjson - Sign JSON with Ed25519 signatures
Product: [Fedora] Fedora Reporter: Igor Gnatenko <ignatenko>
Component: Package ReviewAssignee: Neal Gompa <ngompa13>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: ngompa13, package-review
Target Milestone: ---Flags: ngompa13: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-09 00:57:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1405855, 1405856, 1405863    
Bug Blocks:    

Description Igor Gnatenko 2016-12-19 00:09:52 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/matrix/python-signedjson.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/matrix/python-signedjson-1.0.0-1.fc26.src.rpm
Description:
Features:
* More than one entity can sign the same object.
* Each entity can sign the object with more than one key making it easier
  to rotate keys
* ED25519 can be replaced with a different algorithm.
* Unprotected data can be added to the object under the "unsigned" key.
Fedora Account System Username: ignatenkobrain

Comment 1 Neal Gompa 2016-12-19 01:39:19 UTC
Taking this review.

Comment 2 Neal Gompa 2016-12-19 18:08:28 UTC
Review notes:

- Follows Python packaging guidelines
- Is named appropriately (src package and binary output packages)
- Licensing is good and marked appropriately


PACKAGE APPROVED.

Comment 3 Gwyn Ciesla 2016-12-20 13:55:00 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-signedjson

Comment 4 Fedora Update System 2016-12-20 15:27:14 UTC
python-signedjson-1.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-32eeb894f4

Comment 5 Fedora Update System 2016-12-21 15:50:37 UTC
python-signedjson-1.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-32eeb894f4

Comment 6 Fedora Update System 2016-12-28 18:59:22 UTC
python-signedjson-1.0.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-32eeb894f4

Comment 7 Fedora Update System 2016-12-29 09:20:51 UTC
python-signedjson-1.0.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-32eeb894f4

Comment 8 Fedora Update System 2017-01-09 00:57:31 UTC
python-signedjson-1.0.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.